using Entities.Contracts;
using TechHelper.Services;

namespace TechHelper.Server.Services
{
	public interface IQuestionService : IBaseService<Question, Guid>
	{
		Task<ApiResponse> FindByTitle(string title);
		Task<ApiResponse> CheckTitlesExistence(IEnumerable<string> titles);
	}
}
